Text Size

ESXi 4.x requires a much stronger password than 3.5 did. If you are doing an upgrade you may not notice the difference until you go to change your password. If you are doing a new install, you will notice pretty quickly that it requires a very strong password.

Many will want to modify the password settings to make the password standards for ESXi 4.x weaker or in some cases stronger.

Prior to making any changes there are some things that you need to know. First, changes to this file will take effect immediately and will not require a reboot. Second, the sticky bit for the file is enabled, so changes will be backed up into the system configuration backup file for the host and you will not need to reapply this fix at every reboot. Third and most importantly, this is not a supported change.

Please note that in ESXi 4.0 passwords are controlled by the file /etc/pam.d/common-password and for ESXi 4.1 the file /etc/pam.d/system-auth controls this information.

Open your favorite editor and find the following line.

password requisite /lib/security/$ISA/pam_passwdqc.so retry=3 min=8,8,8,7,6

To reduce the minimum password lent to 6 characters change the min= parameter to 6,6,6,6,6 so the new line will be…

password requisite /lib/security/$ISA/pam_passwdqc.so retry=3 min=8,8,8,7,6

Save the file and your new password policy will be in place.

For a more detailed write up please check out this article at vm-help.com

Tech Stocks


Warning: Invalid argument supplied for foreach() in /home/sohowe5/public_html/tonystech.com/modules/mod_rokstock/lib/googlestock.class.php on line 71

Donations

If you like the site and feel the need to donate to help support the site, you can do it here.



Login Form